package com.ruoyi.system.service.task;


import com.ruoyi.system.domain.grid.GridRegion;
import com.ruoyi.system.domain.grid.GridRegionUser;
import com.ruoyi.system.domain.task.TkRoundPlan;
import com.ruoyi.system.domain.task.TkRoundSubtask;
import com.ruoyi.system.domain.task.vo.BsGridRegionUser;

import java.util.List;
import java.util.Map;

/**
 * @Date 2019/3/18 8:30
 * @Author Guow
 * @Description: 手动写的service，主要为了事务
 */
public interface DiyService {
    int insert(TkRoundPlan tkRoundPlan, String[] chooseObjIds, String[] chooseUserIds, List<GridRegionUser> chooseUserJson, List<BsGridRegionUser> chooseObjJson, String origin, String standby3);

    Map<String, String> getTkScore(Map<String, Object> map);

    List<GridRegion> getThird();

    int onOff(TkRoundPlan tkRoundPlan);

    int deletePlanById(String id);

    int countByDxlx(String dxlx);

    List<TkRoundSubtask> selectByParam(String objId, String startTime, String endTime, String origin, String status, Integer pageNum, Integer pageSize);

    Map<String, Object> getSubTaskNumByDXLX();

    String getMatterId(String subTaskId);

    int saveSubtask(TkRoundSubtask tkRoundSubtask);
}
